class Admin::UserInfoModelsController < ApplicationController
  
  layout "admin"
  before_filter :authenticate_user!
  before_filter :is_admin?
  before_filter :set_attribute, :only => [:index, :show, :new, :edit]

  def index
    @user_attribute_models = UserInfoModel.all.entries
    render :template => 'admin/user_attribute_models/index'
  end
  
  def show
    #@user_attribute_model = UserInfoModel.find(params[:id])
  end
  
  def new
    @user_attribute_model = UserInfoModel.new
    session[:last_page] = get_go_back || admin_user_info_models_url
    render :template => 'admin/user_attribute_models/new'
  end
  
  def edit
    @user_attribute_model = UserInfoModel.find(params[:id])
    @i18n_variable = @user_attribute_model.i18n_variable
    session[:last_page] = get_go_back || admin_user_info_models_url
    render :template => 'admin/user_attribute_models/edit'
  end
  
  def create
    @user_attribute_model = UserInfoModel.new(params[:user_info_model])
    @user_attribute_model.save
    redirect_to :action => :index
  end
  
  def update
    @user_attribute_model = UserInfoModel.find(params[:id])
    @user_attribute_model.update_attributes(params[:user_info_model])
    
    redirect_to :action => :index
  end
  
  def destroy
    @user_attribute_model = UserInfoModel.find(params[:id])
    @user_attribute_model.destroy
    
    @user_attribute_model.destroy_i18n_variables
    
    redirect_to :action => :index
  end
  
  protected
  
  def set_attribute
    @attribute = 'info'
  end
  
end
